Bug 199533 - system-config-network crashes when deleting alias.
system-config-network crashes when deleting alias.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
: Desktop
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-20 03:23 EDT by Caius Chance
Modified: 2008-02-01 09:33 EST (History)
0 users

See Also:
Fixed In Version: 1.4.7-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-01 09:33:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
bug report (900 bytes, text/plain)
2006-07-20 03:23 EDT, Caius Chance
no flags Details

  None (edit)
Description Caius Chance 2006-07-20 03:23:31 EDT
Description of problem:
NetworkManager crashes after deleted alias.

Version-Release number of selected component (if applicable):


How reproducible:
Delete alias.

Steps to Reproduce:
1.Run NetworkManager.
2.Delete alias in the right-most tab.
3.Either save or just apply.
4.Bug report windows pop up & saved bug report.
  
Actual results:
Crashes with bug report window.

Expected results:
Alias delete without error.

Additional info:
Comment 1 Caius Chance 2006-07-20 03:23:31 EDT
Created attachment 132727 [details]
bug report
Comment 2 Harald Hoyer 2006-09-29 09:28:21 EDT
 File "/usr/lib/python2.4/site-packages/rhpl/Conf.py", line 583, in __delitem__
    del self.vars[varname]
KeyError: 'fego.brisbane.redhat.com'

could you check /etc/hosts ?
Comment 3 Jiri Moskovcak 2008-02-01 09:33:50 EST
Host parser has been rewritten and should work now, closing this as 
CURRENTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.